Search for LinX templates based on the template ID, title, and status. Use the sort query parameter to sort the results, and use the page and size query parameters to limit the number of results returned.
GET /v2/linx/templates
Authorization: Bearer <access_token>
search
string
Perform a full-text search on the template ID and title. You can also use the status filter to limit the search results. If both full-text search and the status filter are used, they will be joined using AND.
status
string enum, values: ACTIVE, ARCHIVED, SUSPENDED, DELETED
Current status of the template.
page
integer (int32), default value: 1
Page number to return. Uses one-based indexing.
size
integer (int32)
Maximum number of results to return per page.
sort
array [string]
Sort the response by any field in ascending or descending order. The default sort order is createdAt,DESC. For more information, see Sorting and Pagination.
None
Returns a paginated response with an array of LinX Template Summary objects. This object contains the template ID and version information, the template name and description, the number of steps in the template, the template creation date, and statistics regarding the template use.
SAMPLE RESPONSE
{
"templateId": "6746d9f8-eb72-45d3-81c9-d53f386d6ce3",
"templateVersionId": "0e96b2ef-0642-4666-bc35-3c9e81eaf0b7",
"name": "transaction-for-new-customer",
"displayName": "Create a transaction for a new Customer",
"description": "Create a new Customer and a new Financial Account, accept required documents, and create a transaction",
"numberOfSteps": 2,
"createdAt": "2024-02-01T23:38:06.437Z",
"stats": {
"allVersionsActiveWorkflows": 2,
"allVersionsWorkflows": 5,
"allVersionsLastExecutedAt": "2024-02-01T23:38:06.437Z",
"currentVersionActiveWorkflows": 1,
"currentVersionWorkflows": 3,
"currentVersionLastExecutedAt": "2024-02-01T23:38:06.437Z"
}
}
Step into the future of Finance with RocketKOR! Simplify payments, banking, lending, and data analytics using our versatile KOR Platform.
A Rocket Financial Inc. company
@ 2024 RocketKOR, Inc. All rights reserved.